Get an On-Demand Customer Bill by ID
/customerBillOnDemand/{id}
Request
-
id(required): string
The bill number or ID of the on-demand customer bill to get.Examples
-
@type: string
The type of object to return.Examples
There's no request body for this operation.
Back to TopResponse
- application/json;charset=utf-8
200 Response
objectCustomer Bill OnDemand-
@baseType: string
Title:
Base TypeThe object's superclass. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
billingAccount(required):
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
customerBill: object
Bill Ref
Title:
Bill RefA reference to a bill. -
description: string
Title:
Bill DescriptionThe on-demand bill's description. -
href(required): string
Title:
Bill HrefThe on-demand bill's href. -
id(required): string
Title:
Bill IDThe on-demand bill's ID or bill number. -
lastUpdate: string
Title:
Last Updated DateThe date that the on-demand bill was last updated. -
name: string
Title:
Bill NameThe on-demand bill's name. - relatedParty: object Related Party Ref
-
state(required): string
Title:
State ValuesAllowed Values:[ "inProgress", "rejected", "done", "terminatedWithError" ]The possible values for an on-demand bill's state: inProgress, rejected, done, and terminatedWithError.
objectDiscriminator Values
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
objectBill Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe actual type of the target instance when needed for disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationA URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Bill HrefThe bill's href. -
id: string
Title:
Bill IDThe bill's ID.
objectRelated Party Ref-
@baseType: string
Title:
Base TypeThe object's superclass. -
@referredType: string
Title:
Referred TypeThe object's type in the target system. If baseType and type, need further disambiguation. -
@schemaLocation: string
(uri)
Title:
Schema LocationThe URI to a JSON schema file that defines additional attributes and relationships. -
@type: string
Title:
TypeThe object's subclass. -
href: string
Title:
Related Party HrefThe related party's href. -
id(required): string
Title:
Related Party IDThe related party's ID. -
name: string
Title:
Related Party NameThe related party's name. -
role: string
Title:
Related Party RoleThe related party's role.
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
href: string
The hyperlink reference.
-
id: string
The ID.
object-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
object-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
400 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
409 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
object-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
Example 1: Get an On-Demand Customer Bill by POID
The following example shows how to get the on-demand bill with the specified billing POID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "0.0.0.1+-bill+427232",
"href": "http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232",
"description": null,
"lastUpdate": "2025-03-19T16:28:59+05:30",
"name": "PIN Bill NOW",
"billingAccount": {
"id": "0.0.0.1+-account+104221",
"href": null,
"name": "Robert Brown",
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": "billingAccount"
},
"customerBill": {
"id": "0.0.0.1+-bill+427232",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+427232",
"@baseType": "CustomerBill",
"@schemaLocation": null,
"@type": "CustomerBill",
"@referredType": "CustomerBill"
}
}
Example 2: Get an On-Demand Customer Bill by Bill Number
The following example shows how to get the on-demand bill with the specified bill number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://host:port/brm/customerBillManagement/version/customerBillOnDemand/B1-987'
Response Body
The following example shows the contents of the response body in JSON format.
{
"id": "B1-987",
"href": "http://host:port/brm/customerBillManagement/version/customerBillOnDemand/0.0.0.1+-bill+427232",
"description": null,
"lastUpdate": "2025-03-19T16:28:59+05:30",
"name": "PIN Bill NOW",
"billingAccount": {
"id": "0.0.0.1+-account+104221",
"href": null,
"name": "Matt Williams",
"@baseType": null,
"@schemaLocation": null,
"@type": null,
"@referredType": "billingAccount"
},
"customerBill": {
"id": "0.0.0.1+-bill+427232",
"href": "http://host:port/brm/customerBillManagement/version/customerBill/0.0.0.1+-bill+427232",
"@baseType": "CustomerBill",
"@schemaLocation": null,
"@type": "CustomerBill",
"@referredType": "CustomerBill"
}
}